# Create new user for the account

Creates a new user profile under the authenticated account. Requires authentication. Required fields: username, displayName, applicationId. Reserved usernames and duplicates are rejected. Only admins can create admin users. Bot/Service actor types cannot be assigned during creation.

Endpoint: POST /api/v1/users
Version: 1.0
Security: header

## Query parameters:

  - `htmlContent` (any)
    Returns text as html if true or original text if false. Applicable only to local posts and users. Default is true.

## Request fields (application/json):

  - `username` (string, required)
    Username
    Example: "john_smith"

  - `displayName` (string, required)
    Display Name
    Example: "John Smith"

  - `summary` (string,null)
    User's bio
    Example: "I work in IT"

  - `avatarId` (string,null)
    Avatar upload id or null to remove
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `headerId` (string,null)
    Header upload id or null to remove
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `channel` (boolean)
    Marks a USER entity as a user channel

  - `entityType` (string)
    Entity type: USER or APPLICATION
    Enum: "USER", "BOT", "APPLICATION", "GROUP_CHANNEL"

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 403 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 404 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 409 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 500 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


